Custom Object Obfuscation
Hi all, I’m writing a custom analysis plugin that is intended to store its data in an object (the geometry of which is significant in the analysis), but I’d like this object to be inaccessible if the...
View ArticleC++ Repair/Clean mesh
Hi, I would like to ask two questions: Is it possible to bake an invalid mesh, because this method would not bake invalid mesh? context.m_doc.AddMeshObject(mesh); context.m_doc.Redraw(); What do I...
View ArticleC++ Mesh Vertex Removal
Hi, How can I remove a list of mesh vertices ? Currently I am checking if vertex weight is below a limit and remove it, but its make the mesh face display wrong: int counter = 0; for (double i :...
View ArticleC# Random remove when coming closer to a target number
I have a list of numbers. With C# I want to remove the numbers gradually randomly when numbers come closer to a target number. I now how to do something with a target number in Python def...
View ArticleDuplicate model geometry removal
I am working on the removal of duplicate model geometry using the Rhino3dm functionality in .NET. During this, a few things have come up: As a suggestion for Rhino3dm in .NET, it would be a nice...
View ArticleUpgrading plugin to Rhino 7 while maintaining supporting for Rhino 6
Hello everyone, We have developed a plugin for our technology using Rhino 6’s Rhinocommon libraries. We are considering upgrading to Rhino 7 since there are some really nice features that would...
View ArticleRhino 7 - MeshRay intersection changes
Hi all I wonder if there were some changes in MeshRay intersection logic since version 6? I have some unpredictable results with sunlight calculation in my grasshopper plugin in Rhino 7. The plugin...
View ArticleRegarding the instance reference and instance definition
Hello @dale, I have one query regarding the instance definition and instance reference. I want to create block once (name - block 01) in Rhino (like solid cylinder). Now two different blocks (name -...
View ArticleTextDot display (C#)
Hi. I’m trying to display a TextDot object in a rhino viewport. Surface surface = null; DA.GetData("Surface", ref surface); Point3d northPoint = surface.PointAt(surface.Domain(0).Mid,...
View ArticleRegarding the instance reference and instance definition
Hello @dale. I have a query regarding the Instance definition, Instance reference and blocks. I want to create once block (name - block 01) in Rhino (like solid cylinder). Now two different blocks...
View ArticleEto TreeGridView cell order issue on scrolling
I use Eto’s TreeGridView and display a single column that uses Eto’s CustomCell. This seems to render correctly until the tree is large enough so that it gets a scroll bar. Once I start scrolling to...
View ArticleC++ Rhino Plugins must have latest Rhino version?
Hi, I would like to ask about Rhino C++ plugin development. If I compile plugin lets say 6.32 version of Rhino, will users of Rhino 6.33 be able to load the compiled version of 6.32? And I assume a...
View ArticleC++ Array of ON_PointCloud
Dear @dale I would like to ask how can I correctly create an array of pointclouds? The code below crashes Rhino. What I want to do is: Create n ON_PointCloud Iterate that array and insert points to...
View ArticlePanel does not close
Hi all, I simply want to close panel when document is closing. But its not closing, I really don’t know why. Anyone has any idea? Simple code example [Guid("ff4bd166-b1f7-419b-9af4-53daede5e1fb")]...
View ArticleHelp: how to find midpoint of Nurbs curve? using to filletcurves
Good day all, I am trying to fillet two line curves so that the new fillet arc is a user-defined distance away from the previous apex. I have created a C# script and am stuck at trying to find the...
View ArticleGet mid point from bounding box values - cplane coordinates
(topic withdrawn by author, will be automatically deleted in 24 hours unless flagged) 1 post - 1 participant Read full topic
View ArticleHow to triangulate mesh in Open NURBS
Hello @dale, I am converting a Rhino mesh object into Parasolid. From Rhino I am getting a quadrangular mesh face. Now I want to Split each quadrangular mesh face into two triangles. I know that in...
View ArticleOn_xform planetoplane
Hi, Does anyone know that how to get the on_xform planetoplane func in cpp? 2 posts - 2 participants Read full topic
View ArticleUnable to load plug-in
Hi, I am currently trying to migrate a plug-in from rhino 5 to rhino 6. After a lot of changes to the plugin it builds in Visual Studio as a Rhino 6 project, however when the project runs in the...
View Articlers.isMesh returns 'module' object has no attribute 'isMesh'
While calling isMesh() I get the error: 'module' object has no attribute 'isMesh' import rhinoscriptsyntax as rs def SplitJoinedMeshes(): lastObjectCount = -1 objectCount = 0 while lastObjectCount !=...
View Article